# lolautoaccept

This is a tool, that tries to automatically accept a league of legends game.
It is developed on linux and there is no effort to port it to windows.
It works by accessing the launcher using the LCU-API more about that api can be found [here](http://www.mingweisamuel.com/lcu-schema/tool/).
I only tested this in normals and ranked (No Aram, Custom, URF, ....) but you may want to give it a try.

## Prebuilt Binary
There is a prebuild AppImage that should work on every linux x86_64 computer.
1. Download: [here](https://git.mrbesen.de/MrBesen/lolautoaccept/releases)
2. give execute rights `chmod +x LoLAutoAccept-*-x86_64.AppImage`
3. execute - dubble click or `./LoLAutoAccept-*-x86_64.AppImage`

## Dependencies
 - Qt5
 - libcurl
 - [Log](https://git.okaestne.de/okaestne/Log) (is a submodule)


## Compile
Be sure to clone with submodules:
```
git clone --recurse-submodules https://git.mrbesen.de/MrBesen/lolautoaccept.git
```
Then in its root folder:
```
qmake

# build the appimage
make -j appimg

# or just the main binary
make -j
```

You can get better Logging with:
```
./lolautoaccept --debug-log
```
(This will also create a `log.txt`)
