#pragma once

#include <vector>
#include <QJsonObject>

#include "restclient.h"
#include "runepage.h"
#include "position.h"

class BlitzAPI : public RestClient {
	Q_OBJECT

public:
	BlitzAPI();

	struct ChampionInfo {
		std::vector<uint32_t> skillorder;

		RunePage runepage;

		// items?

		ChampionInfo();
		explicit ChampionInfo(const QJsonObject&);
	};

	ChampionInfo getChampionInfo(uint32_t championID, Position p, uint32_t enemyChampionID = 0); // TODO: add more parameters: Queue (Ranked 5x5)
private:
};

