#ifndef CHAMPIONSEARCH_H
#define CHAMPIONSEARCH_H

#include <QDialog>
#include "datadragon.h"
#include "champrow.h"

namespace Ui {
	class ChampionSearch;
}

class ChampionSearch : public QDialog {
	Q_OBJECT

public:
	explicit ChampionSearch(DataDragon* dd, QWidget *parent = nullptr);
	~ChampionSearch();

	// does not return the same result on multiple calls! awsner needs to be deleted
	ChampRow* getSearchResult();

private slots:
	void searchChanged(QString);

private:
	void clear();

	Ui::ChampionSearch *ui;
	DataDragon* dd;
};

#endif // CHAMPIONSEARCH_H
