#ifndef LOADINGWINDOW_H
#define LOADINGWINDOW_H

#include <QWidget>

class QCloseEvent;

namespace Ui {
	class LoadingWindow;
}

class LoadingWindow : public QWidget {
	Q_OBJECT

public:
	explicit LoadingWindow( QWidget* parent = nullptr );
	~LoadingWindow();

public slots:
	void setChampion(QString championName);
	void setText(QString text);

	// should be 0.0 to 1.0
	void setProgress(float val);

signals:
	void closed();

protected:
	virtual void closeEvent(QCloseEvent*) override;

private:
	Ui::LoadingWindow* ui;
};

#endif // LOADINGWINDOW_H
