#pragma once

#include <QDebug>
#include <QVariant>

enum class Position : uint32_t {
	INVALID = 0,
	TOP,
	JUNGLE,
	MIDDLE,
	BOTTOM,
	UTILITY
};
Position toPosition(const QString& str);
QString toString(Position p);
QString toShortString(Position p);

std::ostream& operator<<(std::ostream&, const Position&);
QDebug operator<<(QDebug , const Position&);

Q_DECLARE_METATYPE(Position);
