#pragma once

#include <cstdint>
#include <string>
#include <vector>


// fwd.
class QJsonObject;

struct RuneStyleSlot {
	std::vector<int> perks;
	QString type;

	RuneStyleSlot();
	RuneStyleSlot(const QJsonObject& json);
};

struct RuneStyle {
	uint32_t id;
	QString name;
	QString iconPath;
	QString tooltip;

	std::vector<int> allowedSubStyles;
	QString idName;

	std::vector<RuneStyleSlot> runeSlots;

	RuneStyle();
	explicit RuneStyle(const QJsonObject& json);
};
