#pragma once

#include <QString>
#include <QByteArray>
#include <QPixmap>

class DataDragonImageCache {
public:
	DataDragonImageCache(const QString& folderextra, const QString& imageext = ".jpg");
	~DataDragonImageCache();

	bool hasImage(const QString& name);
	QPixmap getImage(const QString& name);
	void addImageRaw(const QByteArray& arr, const QString& name);
private:
	QString getFilepath(const QString& name) const;

	QString cacheDir;
	QString imageext; // file extention including dot
};
